Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
POSTOrganization OperationsSince 3.6.0SynchronousAuth Required

BatchCreateIAM2VirtualIDFromConfigFile

BatchCreateIAM2VirtualIDFromConfigFile

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • virtualIDInfosStringRequired

      The user information encoded in Base64 format.

    • resourceUuidString

      Optional.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • numberOfImportedUserintRequired

    The number of users that you have created successfully when you create users in bulk.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/iam2/virtual-ids/from-file

/zstack/v1/iam2/virtual-ids/from-file

Operation ID

BatchCreateIAM2VirtualIDFromConfigFile

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/iam2/virtual-ids/from-file' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"virtualIDInfos":"<virtualIDInfos>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "numberOfImportedUser": 10.0 }

Change History

This API has no change history records yet.

View all change history